def decompose (n):
    factors_list = []
    i = 2
    val = n
    while n > 1:
        exposant = 0
        while n % i == 0:
            exposant = exposant + 1
            n = n/i

        if exposant != 0:
            factors_list.append( (i,exposant) )

        i = i+1

    return factors_list
